# encoding: utf-8

class MediaUploader < CarrierWave::Uploader::Base

  include CarrierWave::MimeTypes

  process :set_content_type

  # Include RMagick or MiniMagick support:
  include CarrierWave::RMagick
  #include CarrierWave::MiniMagick

  # Include the Sprockets helpers for Rails 3.1+ asset pipeline compatibility:
  include Sprockets::Helpers::RailsHelper
  include Sprockets::Helpers::IsolatedHelper

  # Choose what kind of storage to use for this uploader:
  #storage :file
  storage :fog

  # Override the directory where uploaded files will be stored.
  # This is a sensible default for uploaders that are meant to be mounted:
  def store_dir
    "uploads/#{model.class.to_s.underscore}/user_#{model.user_id}"
  end

  version :thumb, :if => :is_picture? do
    process :resize_to_fill => [140, 140]
  end

  protected

    def is_picture?(file)
      res = file.content_type.include? 'image'
      Rails.logger.debug "file is picture #{res.inspect}"
      return res
    end

end
